CC26xx Driver Library |

- Main Page
- Related Pages
- CC26xx APIs
- Register Descriptions
- Online Resources

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Functions
[cpu] CPU

## Functions
uint32_t | CPUcpsid (void)
| Disable all external interrupts. More...
uint32_t | CPUprimask (void)
| Get the current interrupt state. More...
uint32_t | CPUcpsie (void)
| Enable all external interrupts. More...
__STATIC_INLINE void | CPUwfi (void)
| Wait for interrupt. More...
__STATIC_INLINE void | CPUwfe (void)
| Wait for event. More...
__STATIC_INLINE void | CPUsev (void)
| Send event. More...
__STATIC_INLINE void | CPUbasepriSet (uint32_t ui32NewBasepri)
| Update the interrupt priority disable level. More...
uint32_t | CPUbasepriGet (void)
| Get the interrupt priority disable level. More...
void | CPUdelay (uint32_t ui32Count)
| Provide a small delay. More...

## Detailed Description

## Function Documentation

uint32_t CPUbasepriGet | ( | void |  | ) |

Get the interrupt priority disable level.

Use this function to get the the level of priority that will disable interrupts with a lower priority level.

Returns
  Returns the value of the BASEPRI register.

Definition at line 329 of file cpu.c.

Referenced by IntPriorityMaskGet().

__STATIC_INLINE void CPUbasepriSet | ( | uint32_t | ui32NewBasepri | ) |

Update the interrupt priority disable level.

Use this function to change the level of priority that will disable interrupts with a lower priority level.

Parameters

  ui32NewBasepri | is the new basis priority level to set.

Returns
  None

Definition at line 317 of file cpu.h.

Referenced by IntPriorityMaskSet().

uint32_t CPUcpsid | ( | void |  | ) |

Disable all external interrupts.

Use this function to disable all system interrupts. This function is implemented as a wrapper function for the CPSID instruction.

Returns
  Returns the state of PRIMASK on entry

Definition at line 91 of file cpu.c.

Referenced by AuxAdiDdiSafeRead(), AuxAdiDdiSafeWrite(), IntMasterDisable(), and SafeHapiAuxAdiSelect().

uint32_t CPUcpsie | ( | void |  | ) |

Enable all external interrupts.

Use this function to enable all system interrupts. This function is implemented as a wrapper function for the CPSIE instruction.

Returns
  Returns the state of PRIMASK on entry.

Definition at line 249 of file cpu.c.

Referenced by AuxAdiDdiSafeRead(), AuxAdiDdiSafeWrite(), IntMasterEnable(), and SafeHapiAuxAdiSelect().

void CPUdelay | ( | uint32_t | ui32Count | ) |

Provide a small delay.

This function provides means for generating a constant length delay. It is written in assembly to keep the delay consistent across tool chains, avoiding the need to tune the delay based on the tool chain in use.

The loop takes 3 cycles/loop.

Parameters

  ui32Count | is the number of delay loop iterations to perform.

Returns
  None

Definition at line 402 of file cpu.c.

Referenced by CRYPTOAesEcb(), CRYPTOAesLoadKey(), CRYPTOCcmAuthEncrypt(), CRYPTOCcmAuthEncryptResultGet(), CRYPTOCcmInvAuthDecrypt(), CRYPTOCcmInvAuthDecryptResultGet(), and I2CMasterControl().

uint32_t CPUprimask | ( | void |  | ) |

Get the current interrupt state.

Use this function to retrieve the current state of the interrupts. This function is implemented as a wrapper function returning the state of PRIMASK.

Returns
  Returns the state of the PRIMASK (indicating whether interrupts are enabled or disabled).

Definition at line 171 of file cpu.c.

__STATIC_INLINE void CPUsev | ( | void |  | ) |

Send event.

Use this function to let the CM3 send an event. This function is implemented as a wrapper function for the SEV instruction.

Returns
  None

Definition at line 258 of file cpu.h.

__STATIC_INLINE void CPUwfe | ( | void |  | ) |

Wait for event.

Use this function to let the CM3 wait for the next event. This function is implemented as a wrapper function for the WFE instruction.

Returns
  None

Definition at line 206 of file cpu.h.

__STATIC_INLINE void CPUwfi | ( | void |  | ) |

Wait for interrupt.

Use this function to let the CM3 wait for the next interrupt. This function is implemented as a wrapper function for the WFI instruction.

Returns
  None

Definition at line 154 of file cpu.h.

Referenced by PRCMDeepSleep(), and PRCMSleep().